.baihe_map {
    padding: var(--component-gap) 0;
}

.baihe_map_content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.baihe_map_content_box {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-right: calc(var(--component-gap-sm) * 2);
}

.baihe_map_content_box_title {
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
    color: var(--title-text-color);
    font-family: var(--title-font-family);
}

.baihe_map_content_box_desc {
    font-size: var(--text-title-size);
    font-weight: 500;
    line-height: 1.5;
    color: var(--text-color);
    margin-top: 10px;
    font-family: var(--font-medium-family);
}

.baihe_map_content_box_line {
    width: 100%;
    height: 1px;
    background: #D9D9D9;
    margin: 30px 0;
    position: relative;
}

.baihe_map_content_box_line::before {
    content: '';
    position: absolute;
    top: -2px;
    left: 0;
    width: 60px;
    height: 5px;
    background: var(--color-second);
    border-radius: 3px;
}

.baihe_map_content_box ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.baihe_map_content_box ul li {
    display: flex;
    align-items: flex-start;
    gap: 6px;
    color: var(--text-color);
    font-size: var(--text-title-size);
    font-weight: 500;
    line-height: 2.2;
    font-family: var(--font-medium-family);
}

.baihe_map_content_box ul li b,
.baihe_map_content_box ul li a {
    flex: 1;
    color: var(--title-text-color);
    font-size: var(--text-title-size);
    font-weight: 500;
    font-family: var(--font-medium-family);
    line-height: 2.2;
}

.baihe_map_content_box ul li svg {
    width: 22px;
    height: 22px;
    margin-top: 8px;
}


.baihe_map_content_map {
    width: 50%;
    aspect-ratio: 3/2;
    border-radius: 15px;
    overflow: hidden;
}

@media (max-width: 1200px) {
    .baihe_map_content {
        flex-direction: column;
        gap: 20px;
    }

    .baihe_map_content_box {
        width: 100%;
        padding-right: 0;
    }

    .baihe_map_content_map {
        width: 100%;
    }
}

@media (max-width: 992px) {
    .baihe_map_content_box ul li svg {
        width: 20px;
        height: 20px;
        margin-top: 4px;
    }
}

@media (max-width: 768px) {
    .baihe_map_content_box ul li svg {
        margin-top: 5px;
    }
}